package messif.objects.annotation;

/**
 * Enum class representing all possible semantic relations held among
 * synsets utilized in the system.
 * 
 * @author Honza Botorek
 */
public enum SynsetRelationType {
    STATISTIC_COOCCURENCE,
    WN_ADJ_SYNONYMS,
    WN_GLOSS,
    WN_HOLONYM,
    WN_HYPERNYM,
    WN_HYPONYM,
    WN_MERONYM,
    WN_SIMILAR_TERMS,
    WN_VERB_LEX_FILE_NAME
}
