package messif.objects.annotation.api;

import messif.objects.annotation.Annotation;

/**
 * Processes an existing annotation into another one by expanding the number of {@link AnnotationTerm}s.
 * @param <I> the type of annotation that this expander accepts as input
 * @param <O> the type of annotation that this expander provides as output
 * @author Michal Batko <batko@fi.muni.cz>
 */
public interface AnnotationExpander<I extends Annotation, O extends Annotation> extends AnnotationProcessor<I, O> {
}
