package messif.objects.annotation.api;

import messif.objects.annotation.Annotation;

/**
 * Processes an existing annotation into another one by transforming contents, properties or attributes.
 * @param <I> the type of annotation that this transformer accepts as input
 * @param <O> the type of annotation that this transformer provides as output
 * @author Michal Batko <batko@fi.muni.cz>
 */
public interface AnnotationTransformer<I extends Annotation, O extends Annotation> extends AnnotationProcessor<I, O> {
}
